[build-system]
requires = ["setuptools>=68", "setuptools_scm[toml]>=8"]
build-backend = "setuptools.build_meta"

[project]
name = "trpg"
requires-python = ">=3.8"
dynamic = ["version"]
dependencies = [
    # Add runtime dependencies here
    "numpy",
    "keras",
    "tensorflow"
]

# Enables the usage of setuptools_scm
[tool.setuptools_scm]